Problem in installing Planck likelihood 2018

Use of Healpix, camb, CLASS, cosmomc, compilers, etc.
Post Reply
Satadru Bag
Posts: 1
Joined: December 13 2019
Affiliation: Korea Astronomy and Space Science Institute

Problem in installing Planck likelihood 2018

Post by Satadru Bag » December 15 2019

On our cluster, I am trying to install Planck likelihood 2018 (plc3) which I intend to use with Montepython+CLASS. I am using a separate/fresh conda environment with python 2.7 (as suggested) and following the link given below:

https://github.com/brinckmann/montepython_public

However, I am facing issues with the Planck likelihood 2018 installation. The waf configuration command

Code: Select all

./waf configure --lapack_mkl=${MKLROOT} --install_all_deps --cfitsio_prefix=/usr/local/cfitsio/3270
gives the output saying that configuration was successful. But I am not sure because the output also says:

Asking python-config for pyembed '--cflags --libs --ldflags --embed' flags : not found , checking for RTLD_DEFAULT in dl : no, Checking for program 'pmc-config' : not found , Checking for library pmc : not found

Are these serious problems?
However, when I proceed to

Code: Select all

./waf install
I get the following error:

Code: Select all

collect2: error: ld returned 1 exit status

src/libclik.so: undefined reference to `curl_easy_perform'
src/libclik.so: undefined reference to `curl_easy_init'
src/libclik.so: undefined reference to `curl_easy_cleanup'
src/libclik.so: undefined reference to `curl_easy_setopt'
src/libclik.so: undefined reference to `curl_global_init'
src/libclik.so: undefined reference to `curl_global_cleanup'

Waf: Leaving directory `/caefs/user/satadru/MontePython/Planck2018/code/plc_3.0/plc-3.01/build'
Build failed
 -> task in 'clik_example_C' failed with exit status 1 (run with -v to display more information)
 -> task in 'clik_example_f90' failed with exit status 1 (run with -v to display more information)

I am not sure what are the issues. I tried installing many libraries, like libcurl, binutils, Liblapack etc using conda but nothing paid off. Please help me.
Thanks in advance.

Sincerely,
Satadru Bag

Ajit math
Posts: 1
Joined: May 11 2020
Affiliation: Berhampur University,Odisha,India

Re: Problem in installing Planck likelihood 2018

Post by Ajit math » May 11 2020

I can't understand the installation procedure of the planck likelihood 2018. Actually where to write the said code. Before that what are the required installations and procedures to follow? plz suggest me . I have python 3.8.2, windows 10 and Fortran 4.0.

Jesus Torrado
Posts: 18
Joined: April 15 2013
Affiliation: RWTH Aachen
Contact:

Re: Problem in installing Planck likelihood 2018

Post by Jesus Torrado » May 13 2020

Hi Ajit,

Apparently the Planck likelihood is not compatible with Windows. Maybe try some linux distro like Ubuntu?

Lukas Hergt
Posts: 4
Joined: December 01 2017
Affiliation: Cambridge University
Contact:

Re: Problem in installing Planck likelihood 2018

Post by Lukas Hergt » July 12 2020

Hi Satadru,

I seem to have the exact same issue as you. I am trying to install the Planck 2018 likelihood on a cluster. I have tried various combinations of icc/gcc and ifort/gfortran with the same result. The configuration step returns "ok", however running `./waf install` then produces the error:

Code: Select all

[134/141] Linking build/src/clik_example_f90
+ install /lustre/dirac/home/dc-herg1/Documents/Projects/PlanckPrj/planck_2018/code/plc_3.0/plc-3.01/lib/libclik_f90.so (from build/src/libclik_f90.so)
+ install /lustre/dirac/home/dc-herg1/Documents/Projects/PlanckPrj/planck_2018/code/plc_3.0/plc-3.01/lib/python/site-packages/clik/parametric.cpython-36m-x86_64-linux-gnu.so (from build/src/python/parametric.cpython-36m-x86_64-linux-gnu.so)
/usr/bin/ld: skipping incompatible /lib/libpthread.so when searching for -lpthread
/usr/bin/ld: skipping incompatible /lib/libm.so when searching for -lm
/usr/bin/ld: skipping incompatible /lib/libdl.so when searching for -ldl
/usr/bin/ld: skipping incompatible /lib/libpthread.so when searching for -lpthread
/usr/bin/ld: skipping incompatible /lib/libgcc_s.so.1 when searching for libgcc_s.so.1
/usr/bin/ld: skipping incompatible /lib/libc.so when searching for -lc
/usr/bin/ld: skipping incompatible /lib/libgcc_s.so.1 when searching for libgcc_s.so.1
/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so: undefined reference to `__svml_idiv8_l9'
/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so: undefined reference to `__svml_idiv8_mask_l9'
/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so: undefined reference to `__svml_idiv4_e9'
collect2: error: ld returned 1 exit status

/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so.7: undefined reference to `__svml_idiv8_l9'
/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so.7: undefined reference to `__svml_idiv8_mask_l9'
/cm/shared/apps/cfitsio/intel/3.450/lib/libcfitsio.so.7: undefined reference to `__svml_idiv4_e9'

Waf: Leaving directory `/lustre/dirac/home/dc-herg1/Documents/Projects/PlanckPrj/planck_2018/code/plc_3.0/plc-3.01/build'
Build failed
 -> task in 'clik_example_C' failed with exit status 1 (run with -v to display more information)
 -> task in 'clik_example_f90' failed with exit status 1 (run with -v to display more information)
Did you manage to resolve this somehow in the end, Satadru?
Does anybody else maybe have an incling what might be going wrong here?

Best,
Lukas

Post Reply